Skip to main content
GET
/
gpus
/
v2
/
prewarm-tasks
/
{task_id}
Get Image Prewarm Task
curl --request GET \
  --url https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "prewarm-task-id",
  "name": "image:tag",
  "image": "registry.example.com/team/image:tag",
  "region_id": "region-a",
  "product_ids": [
    "product-a"
  ],
  "image_size": 10737418240,
  "created_at": 1714982400,
  "completed_at": 0,
  "status": {
    "status": "running",
    "error": "",
    "message": ""
  },
  "registry_auth_id": "registry-auth-id",
  "note": "",
  "reason": [
    ""
  ]
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Path Parameters

task_id
string
required

Image prewarm task ID. String, length: 1-255 characters.

Response

200 - application/json

OK

task_id
string

Image prewarm task ID

Example:

"prewarm-task-id"

name
string

Image name

Example:

"image:tag"

image
string

Image address

Example:

"registry.example.com/team/image:tag"

region_id
string

Region ID

Example:

"region-a"

product_ids
string[]

Product IDs covered by prewarming

Example:
["product-a"]
image_size
integer

Image size. Unit: bytes

Example:

10737418240

created_at
integer

Creation time. Unix timestamp

Example:

1714982400

completed_at
integer

Completion time. Unix timestamp; 0 when not finished

Example:

0

status
object

Task status

registry_auth_id
string

Registry authentication ID

Example:

"registry-auth-id"

note
string

Note for the prewarm task

Example:

""

reason
string[]

Reasons for prewarm failure

Example:
[""]
Last modified on June 23, 2026